Name:       swaks
Version:    20170101.0
Release:    1%{?dist}
Summary:    Command-line SMTP transaction tester

Group:      Applications/Internet
License:    GPLv2+
URL:        http://www.jetmore.org/john/code/swaks
Source0:    http://www.jetmore.org/john/code/swaks/swaks-%{version}.tar.gz

BuildArch:  noarch

Requires:   perl(Digest::SHA)
Requires:   perl(Net::DNS)
Requires:   perl(Net::SSLeay)
Requires:   perl(Time::HiRes)
Requires:   perl(Authen::SASL)
Requires:   perl(IO::Socket::INET6)
Requires:   perl(Authen::NTLM)

%description
Swiss Army Knife SMTP: A command line SMTP tester.  Swaks can test
various aspects of your SMTP server, including TLS and AUTH.

%prep
%setup -q

%install
install -D -p -m 0755 swaks %{buildroot}%{_bindir}/swaks
mkdir -p %{buildroot}%{_mandir}/man1
/usr/bin/pod2man swaks > %{buildroot}%{_mandir}/man1/swaks.1

%files
%defattr(-,root,root,-)
%{_bindir}/swaks
%{_mandir}/man1/*
%doc LICENSE README doc/Changes.txt doc/recipes.txt doc/ref.txt

%changelog
* Mon Feb 27 2017 Mark McKinstry <mmckinst@umich.edu> - 20170101.0-1
- upgrade to 20170101.0
- drop EPEL 5 support
- remove patch swaks-20130209.0-POD-item-text-cannot-be-a-literal-number.patch
  that has been fixed upstream

* Fri Oct 31 2014 Mark McKinstry <mmckinst@nexcess.net> - 20130209.0-4
- include patch from swaks-20130209.0-POD-item-text-cannot-be-a-literal-number.patch

* Wed Jun 19 2013 Mark McKinstry <mmckinst@nexcess.net> - 20130209.0-3
- fix email address in changelog

* Mon Jun 10 2013 Mark Mckinstry <mmckinst@nexcess.net> - 20130209.0-2
- add Authen::NTLM module as a requirement

* Mon Jun 10 2013 Mark Mckinstry <mmckinst@nexcess.net> - 20130209.0-2
- use Authen::SASL instead of Authen::DigestMD5
- add IO::Socket::INET6 for IPv6 supprt

* Mon Jun 10 2013 Mark Mckinstry <mmckinst@nexcess.net> - 20130209.0-1
- upgrade to 20130209.0
- switch to Digest::SHA module instead of Digest::SHA1

* Mon Jan  2 2012 Mark McKinstry <mmckinst@nexcess.net> - 20111230.0-1
- update to 20111230.0

* Thu Feb 24 2011 Mark McKinstry <mmckinst@nexcess.net> - 20100211.0-4
- add BuildRoot for EPEL [45]

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100211.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 24 2010 Jason L Tibbitts III <tibbs@math.uh.edu> - 20100211.0-2
- Remove %%clean as well.

* Thu Feb 11 2010 Jason L Tibbitts III <tibbs@math.uh.edu> - 20100211.0-1
- New upstream release 20100211.0.
- New project URL, now distributed as a tarball.
- New docs, including a license file.

* Wed Jan 20 2010 Jason L Tibbitts III <tibbs@math.uh.edu> - 20061116.0-4
- Update to modern Fedora standards (no BuildRoot or rm -rf in %%install).
- No need for empty %%prep and %%build.
- I prefer %%{buildroot} these days.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20061116.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20061116.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Aug 22 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 20061116.0-2
- Update license tag.

* Thu Nov 16 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20061116.0-1
- Update to 20061116.0.
- Add perl(Digest::SHA1) requirement.

* Thu Aug 31 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20060621.0-1
- Update to 20060621.0.

* Wed May 17 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20050709.1-6
- Correct Authen:DigestMD5 typo.

* Mon May 15 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20050709.1-5
- Add Authen::DigestMD5 requirement now that it's in Extras.

* Wed Mar 29 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20050709.1-4
- Cleanups from package review

* Sun Feb 12 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20050709.1-3
- Use versioned source file URL

* Sat Jan 28 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20050709.1-2
- Change group.

* Sat Jan 28 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 20050709.1-1
- Initial attempt

